Viewing Issue Advanced Details
ID Category [?] Severity [?] Reproducibility Date Submitted Last Update
06855 Graphics Minor Always Jan 25, 2018, 08:11 8 days ago
Tester NekoEd View Status Public Platform MAME (Self-compiled)
Assigned To Resolution Open OS Linux (64-bit)
Status [?] Confirmed Driver kaneko16.cpp
Version 0.193 Fixed in Version Build 64-bit
Summary 06855: gtmr2: Graphic issue in ending sequence
Description In gtmr2 (clones untested) there's a section of the background missing right at the beginning of the ending sequence. Check the attached screenshot and look at the left. There's a man waving a flag in a square void.
Steps To Reproduce Beat the game, watch the left of the screen as soon as the ending sequence starts.
Additional Information This may not be a MAME bug. Will require verification against the real thing.

UPDATE: Verified with original.
Flags Verified with Original
Regression Version
Affected Sets / Systems gtmr2
Attached Files
png file icon 0001.png (37,249 bytes) Jan 25, 2018, 08:11 Uploaded by NekoEd
NekoEd
zip file icon gtmr2.zip (96,831 bytes) Oct 17, 2018, 07:47 Uploaded by MetalGod
zip file icon gtmr2 (endings).zip (741,851 bytes) Oct 17, 2018, 20:33 Uploaded by MetalGod
Relationships
There are no relationship linked to this issue.
Notes
4
User avatar
No.14691
Haze
Senior Tester
Jan 28, 2018, 17:43
would be interesting to check if it's a sprite or a tilemap

if it's a sprite we know Kaneko sometimes put extra sprite roms on certain revisions, that patch over the mask roms.

it's possible this is missing one of those, or using the wrong ones (I haven't checked) because people assumed they were the same.

or it could be they just forgot this scene when updating something.
User avatar
No.15550
MetalGod
Tester
Oct 17, 2018, 20:05
edited on: Oct 17, 2018, 20:39
It seems to be an emulation issue.
I've done a lot of testing with this game and I've found out there's a wide variety of different ending sequence bugs, and they depend on the final circuit played + the chosen car. The bugs are not a random thing. I even tested the game in mame 0.123 and the ending bugs pertinent to a car + a circuit are the same as in mame 0.202, so it seems there's no regression. This error has always been there.
Some combinations of car + circuit do not show any error.

Stage 1, Jaguar B-Type (no glitches)


Stage 2, Ferrari 250 GTO


Stage 3, Ferrari 250 GTO


Stage 3, Bugatti Type 59


Stage 4, Ferrari 250 GTO


Stage 5, Ferrari 250 GTO


Stage 6, Ferrari 250 GTO (no glitches)


Stage 7, Ferrari 250 GTO


Stage 8, Ferrari 250 GTO (no glitches)


Stage 8, Porsche 550A (this is the reported glitch of this ticket)
User avatar
No.15551
MetalGod
Tester
Oct 17, 2018, 20:35
I've uploaded some savestates for 8 game endings (mame 0.202)
The file is gtmr2 (endings).zip
Previous uploaded file, gtmr2.zip could be deleted.
User avatar
No.15770
Haze
Senior Tester
8 days ago
this one is certainly odd.

I thought maybe it was to do with the extra-non mask roms being loaded incorrectly (as in some other Kaneko games they load over part of the mask roms) but that isn't the case here.

it literally just has the wrong tile values in RAM, like it doesn't properly copy the entire tilemap it needs and leaves things left from previous stages etc. which makes it look very much like a bug in the game. I wonder if it can be triggered on the original hardware, just none of the videos found cause it.